/* Google Font CDN Link */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    scroll-behavior: smooth;
}
/*Scroll bar*/
::-webkit-scrollbar {
    width: 10px;
}
::-webkit-scrollbar-track {
    background: azure;
}
::-webkit-scrollbar-thumb{
    background: #1f4240;
    border-radius: 12px;
    transition: all 0.3s ease;
}
::-webkit-scrollbar-thumb:hover{
    background: mediumaquamarine;
}
/*Navigation menu*/
nav{
    position:fixed;
    width: 100%;
    padding: 20px 0;
    z-index: 998;
    transition: all 0.3s ease;
    font-family: "Ubuntu", sans-serif;
}
/*color of navbar*/
nav.sticky{
    background: #2f4f5f;
    padding: 13px 0;
}
nav .navbar{
    width: 90%;
    display: flex;
    margin: auto;
    align-items: center;
    justify-content: space-between;
    color: white;
}
/*Welcome no navbar*/
nav .navbar .logo a{
    font-size: 40px;
    font-weight: 500;
    color: white;
}
nav .navbar .logo a:hover{
    color: mediumaquamarine;
    transition: all 0.5s ease;
}
/*Welcome color*/
nav.sticky .navbar .logo a{
    color: #bdf0dd;
}
nav.sticky .navbar .logo a:hover{
    color: mediumaquamarine;
    transition: all 0.5s ease;
}
nav .navbar .menu{
    display: flex;
    position: relative;
}
nav .navbar .menu li{
    margin: 0 8px;
    list-style: none;
}
.navbar .menu a{
    font-size: 18px;
    font-weight: 500;
    color: white;
    padding: 6px 0;
    transition: all 0.4s ease;
}
.navbar .menu a:hover{
    color: mediumaquamarine;
}
nav.sticky .menu a{
    color: white;
}
nav.sticky .menu a:hover{
    color: #bdf0dd;
}
.navbar .media-icons a{
    color: white;
    font-size: 25px;
    margin: 0 6px;
}
nav.sticky .media-icons a{
    color: white;
}
.navbar .media-icons a:hover{
    transition: all 0.3s ease;
    color: mediumaquamarine;
}

/*Navigation Menu Button*/
nav .menu-btn, .navbar .menu .cancel-btn{
    position: absolute;
    color: white;
    right: 30px;
    top: 20px;
    font-size: 20px;
    cursor: crosshair;
    transition: all 0.3s ease;
    display: none;
}
nav .menu-btn{
    margin-top: 8px;
    color: #2f4f5f;
}
nav.sticky .menu-btn{
    margin-top: 0;
    color: white;
}
.navbar .meu .menu-btn{
    color: white;
}
/*Home Style*/
.home{
    height: 100vh;
    width: 100%;
    background-size: cover;
    font-family: "Ubuntu", sans-serif;
    background: url("/images/yolo (1).jpg") no-repeat fixed center;
}
.home .home-content{
    width: 90%;
    height: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.home .text-one{
    font-size: 25px;
    color: #FFF;
}
.home .text-two{
    color: #FFF;
    font-size: 75px;
    font-weight: 600;
    margin-left: -3px;
}
.home .text-three{
    font-size: 40px;
    margin: 5px 0;
    color: mediumaquamarine;
}
.home .text-four{
    font-size: 23px;
    margin: 5px 0;
    color: #FFF;
}
.home .button{
    margin: 14px 0;
}
.home .button button{
    outline: none;
    padding: 8px 16px;
    border-radius: 6px;
    font-size: 25px;
    font-weight: 400;
    background: mediumaquamarine;
    color: #FFFFFF;
    cursor: crosshair;
    border: 2px solid transparent;
    transition: 0.5s ease;
}
.home .button button:hover{
    border-color: mediumaquamarine;
    background-color: azure;
    color: mediumaquamarine;
}
/*Selection Styling*/
.about{
    background-color: #1f4240;
}
section{
    padding-top: 40px;
}
section .content{
    width: 80%;
    margin: 40px auto;
    font-family: "Ubuntu", sans-serif;
}
.about .about-details{
    display: flex;
    justify-content: space-between;
    align-items: center;

}
section .title{
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
}
section .title span{
    color: #bdf0dd;
    font-size: 30px;
    font-weight: 600;
    position: relative;
    padding-bottom: 8px;
}
section .title span::before,
section .title span::after{
    content: '';
    position: absolute;
    height: 3px;
    width: 100%;
    background: white;
    left: 0;
    bottom: 0;
}
section .title span::after{
    bottom: -7px;
    width: 70%;
    left: 50%;
    transform: translateX(-50%);
}
.about .about-details .left{
    width: 45%;
}
.about .left img{
    height: 400px;
    width: 400px;
    object-fit: cover;
    border-radius: 12px;
}
.about-details .right{
    width: 55%;
}
section .topic{
    color: mediumaquamarine;
    font-size: 25px;
    font-weight: 500;
    margin-bottom: 10px;
}
.about-details .right p{
    text-align: justify;
    color: white;
    font-size: 18px;
}
section .button{
    margin: 16px 0;
}
section .button button{
    outline: none;
    padding: 8px 16px;
    border-radius: 4px;
    font-size: 25px;
    font-weight: 400;
    background: #2f4f5f;
    color: #FFFFFF;
    border: 2px solid transparent;
    cursor: pointer;
    transition: all 0.5s ease;
}
section .button button:hover{
    border-color: #2f4f5f;
    background-color: #FFFFFF;
    color: #2f4f5f;
}
/*Skills section*/
.skills{
    background: #1f4240;
}
.skills .content{
    padding: 40px 0;
}
.skills .skills-details{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.skills-details .text{
    width: 50%;
}
.skills-details p{
    color: white;
    text-align: justify;
}
.skills .skills-details .experience{
    display: flex;
    align-items: center;
    margin: 0 10px;
}
.skills-details .experience .num{
    color: white;
    font-size: 80px;
}
.skills-details .experience .exp{
    color: white;
    font-size: 18px;
    font-weight: 500;
    margin: 0 6px;
}
.skills-details .boxes{
    width: 45%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.skills-details .box{
    width: calc(100% / 2 - 20px);
    margin: 20px 0;
}
.skills-details .boxes .topic{
    font-size: 20px;
    color: mediumaquamarine;
}
.skills-details .boxes .per{
    font-size: 60px;
    color: white;
}
/*Contact info*/
.contact{
    background: #1f4240;
}
.contact .content{
    margin: 0 auto;
    padding: 30px 0;
}
.contact .text{
    width: 80%;
    text-align: center;
    margin: auto;
}
/*footer*/
footer{
    background: #bdf0dd;
    padding: 0 0;
    text-align: center;
    font-family: "Poppins", sans-serif;
}
footer .text span{
    font-size: 12px;
    font-weight: 400;
    color: #1f4240;
}
footer .text span a{
    font-weight: 500;
    color: azure;
}
footer .text span a:hover{
    text-decoration: underline;
}
/*to top button*/
.scroll-button a{
    position: fixed;
    bottom: 20px;
    right: 20px;
    color: white;
    background: transparent;
    padding: 7px 12px;
    font-size: 18px;
    border-radius: 6px;
    box-shadow: rgba(0,0,0,0.15);
}
.scroll-button a:hover{
    color: aquamarine;
    transition: all 0.5s ease;
}
/*Responsive Media*/
@media (max-width: 1190px) {
    section.content {
        width: 85%;
    }
}
@media (max-width: 1000px) {
    .about .about-details {
        justify-content: center;
        flex-direction: column;
    }

    .about .about-details .left {
        display: flex;
        justify-content: center;
        width: 100%;
    }

    .about-details .right {
        width: 90%;
        margin: 40px 0;
    }

    .services .boxes .box {
        margin: 20px 0;
        width: calc(100% / 2 - 20px);
    }
}
@media (max-width: 900px) {
    .about .left img {
        height: 350px;
        width: 350px;
    }
}
@media (max-width: 750px) {
    nav .navbar {
        width: 90%;
    }

    nav .navbar .menu {
        position: fixed;
        left: -100%;
        top: 0;
        height: 100vh;
        max-width: 400px;
        background: #1f4240;
        flex-direction: column;
        align-items: center;
        padding-top: 60px;
        transition: all 0.5s ease;
        color: #1f4240;
    }

    .navbar .active .menu {
        left: 0;
    }

    nav .navbar .menu a {
        font-size: 23px;
        display: block;
        color: azure;
        margin: 10px 0;
    }

    nav.sticky .menu a:hover {
        color: #2f4f5f;
    }

    nav .navbar .media-icons {
        display: none;
    }

    nav .menu-btn .navbar .menu .cancel-btn {
        display: block;
    }

    .home .text-two {
        font-size: 65px
    }

    .home .text-three {
        font-size: 35px;
    }

    .skills .skills-details {
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .skills-details .text {
        width: 100%;
        margin-bottom: 50px;
    }

    .skills-details .boxes {
        justify-content: center;
        align-items: center;
        width: 100%;
    }

    .contact .text {
        width: 100%;
    }
}
@media (max-width: 500px) {
    .home .text-two{
        font-size: 55px;
    }
    .home .text-three{
        font-size: 33px;
    }
    .skills-details .boxes .per{
        font-size: 50px;
        color: #2f4f5f;
    }
}